### Function

# ECal ComponentBagForeachFunc

since: 3.58

#### Declaration

    gboolean
    (* ECalComponentBagForeachFunc) (
      ECalComponentBag* bag,
      ECalComponentBagItem* item,
      gpointer user_data
    )

#### Description [src]

A callback function used by e_cal_component_bag_foreach(), called for each item in the `bag`. The `item` is owned by the `bag`.

Available since: 3.58

#### Parameters

`bag`

  Type: `ECalComponentBag`

  An `ECalComponentBag`.

  The data is owned by the caller of the function.

`item`

  Type: `ECalComponentBagItem`

  An `ECalComponentBagItem`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to e_cal_component_bag_foreach().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE`, to continue traversal, `FALSE` to stop.